#
# IMDbPY configuration file.
#
# This file can be placed in many locations; the first file found is
# used, _ignoring_ the content of the others.
#
# Place it in one of the following directories (in order of precedence):
#
# - imdbpy.cfg in the current directory.
# - .imdbpy.cfg in the current directory.
# - imdbpy.cfg in the user's home directory.
# - .imdbpy.cfg in the user's home directory.
# - /etc/imdbpy.cfg Unix-like systems only.
# - /etc/conf.d/imdbpy.cfg Unix-like systems only.
# - sys.prefix + imdbpy.cfg for non-Unix (e.g.: C:\Python\etc\imdbpy.cfg)
#
# If this file is not found, 'http' access system is used by default.
#
# Lines starting with #, ; and // are considered comments and ignored.
# 
# Some special values are replaced with Python equivalents (case insensitive):
#
# 0, off, false, no  ->  False
# 1, on, true, yes   ->  True
# none               ->  None
#
# Other options, like defaultModFunct, must be passed by the code.
#

[imdbpy]
## Default.
accessSystem = httpThin

## Optional (options common to every data access system):
# Activate adult searches (on, by default).
#adultSearch = on
# Number of results for searches (20 by default).
#results = 20
# Re-raise all caught exceptions (off, by default).
#reraiseExceptions = off

## Optional (options common to http and mobile data access systems):
# Proxy used to access the network.  If it requires authentication,
# try with: http://username:password@server_address:port/
#proxy = http://localhost:8080/
# Cookies of the IMDb.com account
#cookie_id = string_representing_the_cookie_id
#cookie_uu = string_representing_the_cookie_uu
## Timeout for the connection to IMDb (30 seconds, by default).
#timeout = 30 
# Base url to access pages on the IMDb.com web server.
#imdbURL_base = http://akas.imdb.com/

## Parameters for the 'http' data access system.
# Parser to use; can be a single value or a list of value separated by
# a comma, to express order preference.  Valid values: "lxml", "beautifulsoup"
#useModule = lxml,beautifulsoup

## Parameters for the 'mobile' data access system.
#accessSystem = mobile

## Parameters for the 'sql' data access system.
#accessSystem = sql
#uri = mysql://user:password@localhost/imdb
# ORM to use; can be a single value or a list of value separated by
# a comma, to express order preference.  Valid values: "sqlobject", "sqlalchemy"
#useORM = sqlobject,sqlalchemy

## Set the threshold for logging messages.
# Can be one of "debug", "info", "warning", "error", "critical" (default:
# "warning").
loggingLevel = debug

## Path to a configuration file for the logging facility;
# see: http://docs.python.org/library/logging.html#configuring-logging
#loggingConfig = ~/.imdbpy-logger.cfg


